%define pypi_name sqlparse

Name:           python-sqlparse
Version:        0.3.1
Release:        %mkrel 1.1
Group:          Development/Python
Summary:        Non-validating SQL parser

License:        BSD
URL:            https://github.com/andialbrecht/sqlparse
Source0:        https://pypi.python.org/packages/source/s/sqlparse/sqlparse-%{version}.tar.gz
# mga#31913 Backport fix of 0.4.4 release / CVE-2023-30608 / commit c457abd5f097dd13fb21543381e7cfafe7d31cfb
Patch0:         0001-Remove-unnecessary-parts-in-regex-for-bad-escaping.patch
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

%description
sqlparse is a non-validating SQL parser module.
It provides support for parsing, splitting and
formatting SQL statements.

%package -n     python3-%{pypi_name}
Summary:        Non-validating SQL parser
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       %{pypi_name} = %{version}-%{release}
Conflicts:      python2-%{pypi_name} < 0.3.0
Conflicts:      python-%{pypi_name} < 0.3.0

%description -n python3-%{pypi_name}
sqlparse is a non-validating SQL parser module.
It provides support for parsing, splitting and
formatting SQL statements.

%prep
%setup -q -n %{pypi_name}-%{version}


%build
%pyproject_wheel

# generate html docs
PYTHONDIR=$(pwd) sphinx-build docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files sqlparse

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc html README.rst
%{_bindir}/sqlformat


%changelog
* Mon May 15 2023 papoteur <papoteur> 0.3.1-1.1.mga8
+ Revision: 1956915
- add fix for mga#31913

* Tue Jun 09 2020 daviddavid <daviddavid> 0.3.1-1.mga8
+ Revision: 1591119
- new version: 0.3.1

* Sun Feb 16 2020 umeabot <umeabot> 0.3.0-4.mga8
+ Revision: 1531925
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 0.3.0-3.mga8
+ Revision: 1441375
- rebuild for python3.8

* Wed Aug 28 2019 kekepower <kekepower> 0.3.0-2.mga8
+ Revision: 1434841
- Add conflicts for python-sqlparse

* Sun Aug 25 2019 wally <wally> 0.3.0-1.mga8
+ Revision: 1431843
- new version 0.3.0
- drop python2 support
- provide sqlparse

* Thu Jan 10 2019 shlomif <shlomif> 0.2.4-1.mga7
+ Revision: 1354435
- New version

* Thu Sep 20 2018 umeabot <umeabot> 0.1.18-4.mga7
+ Revision: 1290268
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.1.18-3.mga7
+ Revision: 1135651
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 0.1.18-2.mga6
+ Revision: 972470
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 philippem <philippem> 0.1.18-1.mga6
+ Revision: 898762
- update to 0.1.18

* Thu Oct 08 2015 tv <tv> 0.1.16-2.mga6
+ Revision: 887752
- BR python3-sphinx_rtd_theme
- rebuild for python 3.5

* Sun Aug 30 2015 philippem <philippem> 0.1.16-1.mga6
+ Revision: 871219
- imported package python-sqlparse

